<template>
  <BasicModal
    width="500px"
    title="新增类型"
    @register="registerModal"
    v-bind="$attrs"
    @ok="handleSubmit"
  >
    <div style="height: 40vh">
      <BasicForm @register="registerForm" />
    </div>
  </BasicModal>
</template>
<script lang="ts" setup>
  import { BasicModal, useModalInner } from '/@/components/Modal';
  import { BasicForm, useForm } from '/@/components/Form/index';
  import { standardFormSchema } from './paramerForm.data';

  const [registerModal, { closeModal }] = useModalInner();
  const [registerForm] = useForm({
    labelWidth: 100,
    schemas: standardFormSchema,
    showActionButtonGroup: false,
    actionColOptions: {
      span: 18,
    },
  });
  function handleSubmit() {
    closeModal();
  }
</script>
<style lang="less" scoped></style>
